Package org.gradle.tooling.model.cpp

# Interface MacroDirective

public interface MacroDirective
Represent a macro directive.

Since:
  4.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the macro.
  `@Nullable String`
  `getValue()`
  Returns the value of the macro, if any.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the macro.

  - ### getValue

    @Nullable String getValue()
    Returns the value of the macro, if any.